//
// SpartanII : JTAG-MEMORY CONTROLLER
//
// Copyright(c) 2003 T&A Tatsuyuki Satoh , All rights reserved
//
// Important !
//
// This program is freeware for non-commercial use. 
// The user of this module must assume all legal 
// responsibility in the use of this program. 
//
// Histry
// 2003. 7.29 Cleanup and minimize
// 2003. 2.24 Created
//

module jtagmem(JA,JD_I,JD_O,JD_E,JCS,JOE,JWE);
output [30:0] JA;  // Address Bus
input [7:0] JD_I;  // Data Bus In
output [7:0] JD_O; // Data Bus Out
output JD_E;       // Data Bus Out Enable
output JCS;        // ChipSelect (activeH)
output JOE;        // OutputEnable (activeH)
output JWE;        // WriteEnable  (activeH)

// This is head file of net-list Library.
// put "jtagmem.ngc" on ProjectDirectry.

endmodule
